M2KCLI(1)

NAME
m2kcli - Command-line interface to the ADALM2000

m2kcli offers an easy way to communicate with other devices using digital protocols such as:

    SPI, I2C, UART, UART Terminal

DESCRIPTION
Usage: m2kcli [-h | --help] [-v | --version]

    <command> [<args>]

Control the ADALM2000

  Optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show the libm2k version and exit

-s, --scan
    retrieve all available USB URIs

-i, --identify <uri>
    identify the m2k based on its URI

  Commands:

    These commands represent the components of the ADALM2000

analog-in
    control the analogical input component

analog-out
    control the analogical output component

digital
    control the digital component

power-supply
    control the power supply

spi control the functionality of spi

i2c control the functionality of i2c

uart
    control the functionality of uart

uart-terminal
    control the functionality of uart streaming

SEE ALSO
The full documentation for m2kcli is maintained via Sphinx and Doxygen. If the libm2k-doc package is properly installed at your site, the URL

    file:///usr/share/doc/libm2k-dev/html/index.html

should give you access to the complete manual.

Online documentation via a wiki at the URL:

    https://wiki.analog.com/university/tools/m2k/libm2k/m2kcli